const Schedule_constructor = {
    init: async () => {
        let html = await fetch('/lib/pages/schedule/constructor/index.html').then((response) => response.text());
        app.innerHTML = html;

        const newItem = document.createElement('nav-item');
        const uniqueId = `nav-dynamic-${Date.now()}`;
        newItem.setAttribute('id', uniqueId);
        newItem.setAttribute('title', 'Динамічний Пункт');
        newItem.setAttribute('icon', '/img/0.svg');
        newItem.setAttribute('click', `alert('${uniqueId} clicked!')`);
        document.querySelector('navigation-container').appendChild(newItem);
    }
}